List webhook deliveries
curl --request GET \
--url https://api.tandapay.io/api/b2b/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": [
{
"id": "wh_7Tn2Qx",
"event": "transaction_updated",
"status": "SUCCESS",
"webhookUrl": "https://merchant.co.ke/webhooks/tanda",
"createdAt": "2026-10-28T09:14:23.000Z",
"data": {
"transactionId": "aB3dE5fG7hJ9kL1mN2pQ",
"status": "successful",
"type": "deposit",
"externalReference": "order_10045"
},
"response": {
"status": "200"
}
}
]
}{
"success": false,
"message": "Unauthorized"
}Webhooks
List webhook deliveries
Find webhook deliveries, including failed ones.
GET
/
api
/
b2b
/
webhooks
List webhook deliveries
curl --request GET \
--url https://api.tandapay.io/api/b2b/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": [
{
"id": "wh_7Tn2Qx",
"event": "transaction_updated",
"status": "SUCCESS",
"webhookUrl": "https://merchant.co.ke/webhooks/tanda",
"createdAt": "2026-10-28T09:14:23.000Z",
"data": {
"transactionId": "aB3dE5fG7hJ9kL1mN2pQ",
"status": "successful",
"type": "deposit",
"externalReference": "order_10045"
},
"response": {
"status": "200"
}
}
]
}{
"success": false,
"message": "Unauthorized"
}Authorizations
Token from Generate bearer token.
Query Parameters
Delivery status.
Available options:
CREATED, FAILED, SUCCESS A transactionId or externalReference.
YYYY-MM-DD
YYYY-MM-DD
Maximum results (up to 200).
Required range:
x <= 200
